/*
 * buci.h - uci utilities
 *
 * Copyright (C) 2021-2022, IOPSYS Software Solutions AB.
 *
 * Author: Amin Ben Ramdhane <amin.benramdhane@pivasoftware.com>
 *
 * See LICENSE file for license related information.
 *
 */

#ifndef __BUCI_H
#define __BUCI_H

#include <uci.h>

int buci_init(void);
int buci_fini(void);
struct uci_section *buci_walk_section(char *package, char *section_type, struct uci_section *prev_section);
char *buci_get_value_bysection(struct uci_section *section, char *option);
char *buci_get_value(char *package, char *section, char *option);

#define buci_foreach_section(package, section_type, section) \
	for (section = buci_walk_section(package, section_type, NULL); \
		section != NULL; \
		section = buci_walk_section(package, section_type, section))

#endif //__BUCI_H
